Subject: Re: bug#9723: 24.0.50; Emacs Clipboard crash

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Feb 2012 21:06:25 +0200

> Date: Fri, 03 Feb 2012 19:23:30 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> In all cases w->total_cols was set to 2 for the frame's selected
> window if I counted correctly (I divided by four).  Is there any way
> to print the value of an Elisp integer?

Dividing by four is the right thing.

> In any case, the following excerpt from change_frame_size_1 is fishy:
> 
>    /* Compute width of windows in F.
>       This is the width of the frame without vertical scroll bars.  */
>    new_frame_total_cols = FRAME_TOTAL_COLS_ARG (f, newwidth);
> 
>    /* Round up to the smallest acceptable size.  */
>    check_frame_size (f, &newheight, &newwidth);
> 
> This means that when "rounding" changes newwidth, the new value is NOT
> reflected in new_frame_total_cols.  Interchanging these lines gets me a
> w->total_cols of 6 for the window (again, if I counted correctly) which
> seems slightly more correct to me.  WDYT?

I think you should install it.  Thanks.